package com.kingdee.eas.custom.permissioncontrol.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PermApplyBillFacadeFactory
{
    private PermApplyBillFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("658401AE") ,com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade.class);
    }
    
    public static com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("658401AE") ,com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("658401AE"));
    }
    public static com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.task.IPermApplyBillFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("658401AE"));
    }
}